VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "www.ActiveVB.de"
   ClientHeight    =   4845
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5655
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4845
   ScaleWidth      =   5655
   StartUpPosition =   3  'Windows-Standard
   Begin VB.PictureBox Picture1 
      Height          =   3855
      Left            =   120
      ScaleHeight     =   3795
      ScaleWidth      =   5235
      TabIndex        =   1
      Top             =   120
      Width           =   5295
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Drucken"
      Height          =   495
      Left            =   4200
      TabIndex        =   0
      Top             =   4200
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Dieser Source stammt von http://www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.

'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source!

' ---------------------------------------------------------------
'  wie kann ich linksbndig, rechtsbndig oder zentriert drucken?
'
'  das AusgabeObject prnObj kann eine Form, eine Picturebox oder
'  der Printer sein
' ---------------------------------------------------------------


Option Explicit

' Linksbndig drucken
Public Sub PrintLeft(prnObj As Object, sString As String, _
    Optional X As Single = -1, Optional Y As Single = -1, _
    Optional NewLine As Boolean = False)
    
    Dim x1 As Single, y1 As Single
    
    ' Position speichern
    x1 = prnObj.CurrentX
    y1 = prnObj.CurrentY
      
    ' Links
    If X <> -1 Then
        prnObj.CurrentX = X
    End If
      
    If Y <> -1 Then
        prnObj.CurrentY = Y
    End If
      
    ' Drucken
    prnObj.Print sString
      
    ' Position zurcksetzen
    If NewLine = False Then
        prnObj.CurrentX = x1
        prnObj.CurrentY = y1
    End If
End Sub

' Rechtsbndig drucken
Public Sub PrintRight(prnObj As Object, sString As String, _
    Optional X As Single = -1, Optional Y As Single = -1, _
    Optional NewLine As Boolean = False)
    
    Dim x1 As Single, y1 As Single
    
    ' Position speichern
    x1 = prnObj.CurrentX
    y1 = prnObj.CurrentY
    
    ' Links
    If X <> -1 Then
        prnObj.CurrentX = X
    End If
    prnObj.CurrentX = prnObj.CurrentX - prnObj.TextWidth(sString)
    
    If Y <> -1 Then
        prnObj.CurrentY = Y
    End If
    
    ' Drucken
    prnObj.Print sString
    
    ' Position zurcksetzen
    If NewLine = False Then
        prnObj.CurrentX = x1
        prnObj.CurrentY = y1
    End If
End Sub

' Zentriert drucken
Public Sub PrintCenter(prnObj As Object, sString As String, _
    Optional X As Single = -1, Optional Y As Single = -1, _
    Optional NewLine As Boolean = False)
    
    Dim x1 As Single, y1 As Single
    
    ' Position speichern
    x1 = prnObj.CurrentX
    y1 = prnObj.CurrentY
    
    ' links
    If X <> -1 Then
        prnObj.CurrentX = X
    End If
    prnObj.CurrentX = prnObj.CurrentX - (prnObj.TextWidth(sString) / 2)
    
    If Y <> -1 Then
        prnObj.CurrentY = Y
    End If
    
    ' Drucken
    prnObj.Print sString
    
    ' Position laden
    If NewLine = False Then
        prnObj.CurrentX = x1
        prnObj.CurrentY = y1
    End If
End Sub

Private Sub Command1_Click()
    Dim i As Long
    Dim prnObj As Object
    
    Set prnObj = Picture1
'    Set prnObj = Printer
    
    If Not TypeOf prnObj Is Printer Then
        prnObj.Cls
    End If
    
    prnObj.CurrentY = 100
    For i = 1 To 15
        PrintLeft prnObj, String(i, "8"), 100
        PrintCenter prnObj, String(i, "8"), 2500
        PrintRight prnObj, String(i, "8"), 5000, , True
    Next i
    
    If TypeOf prnObj Is Printer Then
        prnObj.EndDoc
    End If
    
    Set prnObj = Nothing
End Sub
